# Images.jl

[![][action-img]][action-url]
[![][pkgeval-img]][pkgeval-url]
[![][codecov-img]][codecov-url]
[![][docs-stable-img]][docs-stable-url]
[![][docs-dev-img]][docs-dev-url]
[![Join the julia slack][slack-img]][slack-url]

Images.jl is an open-source image processing library for [Julia](http://julialang.org/).

## Project organization

Images.jl is increasingly becoming an "umbrella package" that exports a [set of packages](https://juliaimages.org/latest/pkgs/) which are useful for common image processing tasks.
Most of these packages are hosted at
[JuliaImages](https://github.com/JuliaImages),
[JuliaArrays](https://github.com/JuliaArrays),
[JuliaIO](https://github.com/JuliaIO),
[JuliaGraphics](https://github.com/JuliaGraphics), and
[JuliaMath](https://github.com/JuliaMath).

## Contributing

See [CONTRIBUTING.md](CONTRIBUTING.md) for details on how to get started contributing to JuliaImages.

We are a welcoming and supportive community made up of volunteer developers.
All participants are expected to abide by the [Julia Community Standards](https://julialang.org/community/standards/).

## Credits

Elements of this package descend from "image.jl"
that once lived in Julia's `extras/` directory.
That file had several authors, of which the primary were
Jeff Bezanson, Stefan Kroboth, Tim Holy, Mike Nolta, and Stefan Karpinski.
This repository has been quite heavily reworked;
please see the "contributors" tab above and on many of the other repositories at [JuliaImages](https://github.com/JuliaImages) and elsewhere.

## Stargazers over time

[![Stargazers over time](https://starchart.cc/juliaimages/Images.jl.svg)](https://starchart.cc/juliaimages/Images.jl)

<!-- URLS -->

[pkgeval-img]: https://juliaci.github.io/NanosoldierReports/pkgeval_badges/I/Images.svg
[pkgeval-url]: https://juliaci.github.io/NanosoldierReports/pkgeval_badges/report.html
[action-img]: https://github.com/JuliaImages/Images.jl/workflows/Unit%20test/badge.svg
[action-url]: https://github.com/JuliaImages/Images.jl/actions
[codecov-img]: https://codecov.io/github/JuliaImages/Images.jl/coverage.svg?branch=master
[codecov-url]: https://codecov.io/github/JuliaImages/Images.jl?branch=master
[docs-stable-img]: https://img.shields.io/badge/docs-stable-blue.svg
[docs-stable-url]: https://juliaimages.org/stable
[docs-dev-img]: https://img.shields.io/badge/docs-dev-blue.svg
[docs-dev-url]: https://juliaimages.org/latest
[slack-img]: https://img.shields.io/badge/chat-slack%23image--processing-yellow.svg
[slack-url]: https://julialang.org/slack/
